# Method: users.patch

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/users/patch#try-it)

Updates access for the user to the developer account.

### HTTP request

`PATCH https://androidpublisher.googleapis.com/androidpublisher/v3/{user.name=developers/*/users/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `user.name` | `string` Required. Resource name for this user, following the pattern "developers/{developer}/users/{email}". |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/users#User`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/users#User`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`